Page MenuHomePhabricator

Implement Drydock
Closed, ResolvedPublic

Description

Turns out we should implement this rather than let it sit on the roadmap indefinitely.

Revisions and Commits

Abandoned
Abandoned
Abandoned
Abandoned
rPHU libphutil
Abandoned
rP Phabricator
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Abandoned
Closed
D10873
D10879
D10874
D13340
D10544
D7935
D7922
D7921
D7918
D7908
D7840
D7838
D7837
D7836
D7835
D7833
D7832
D7830
D7831
D7829
D7828
D7827
D7826

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
qgil added a subscriber: qgil.May 11 2014, 8:45 PM
datr added a subscriber: datr.Jun 13 2014, 4:07 PM
hach-que edited this Maniphest Task.Jul 3 2014, 1:27 AM
staticshock raised the priority of this task from Normal to Needs Triage.Jul 10 2014, 1:52 PM
staticshock triaged this task as Normal priority.
chad edited projects, added Drydock; removed Unknown Object (Project).Sep 11 2014, 8:37 PM
ipalaus removed a subscriber: ipalaus.Oct 2 2014, 1:00 PM
mrjoops added a subscriber: mrjoops.Dec 1 2014, 9:25 AM
gerx03 added a subscriber: gerx03.Jan 7 2015, 2:29 PM
J5lx added a subscriber: J5lx.Jan 11 2015, 3:38 AM

As chad advice me I would ask here.

Is it any plan (in starmap or so) to allow drydock (or harbormaster?) to lease one host and then build an launch a dockerfile, lease it and perform CI test build inside?

chad removed a subscriber: chad.Jul 2 2015, 1:05 AM
qgil removed a subscriber: qgil.Sep 23 2015, 6:55 PM
epriestley closed this task as Resolved.Sep 29 2015, 3:01 PM

I'm going to close this out since I think everything here is now reasonably represented elsewhere:

  • Overall, Drydock is now nearing v1, and is likely to go into production on this host in a limited role later today.
  • The primary followup task is T9252, which will also cover logging and error recovery.

Some additional tasks:

  • EC2 support is in T5544.
  • Tasks like T6193 / T6454 cover other far-future features.
  • I'm not convinced we need to pursue working copy caches, but T8671 has some discussion if we do.
urzds added a subscriber: urzds.Jul 12 2017, 11:14 AM